#!/bin/bash
current_version=`/opt/alist/alist version | grep 'Version: v' | cut -d ' ' -f 2`
latest_version=`curl -s https://api.github.com/repos/alist-org/alist/releases/latest | grep 'tag_name' | cut -d '"' -f 4`
if [ "$current_version" != "$latest_version" ]; then
	curl -fsSL "https://alist.nn.ci/v3.sh" | bash -s update
else
	echo "Up-to-date"
fi