#!/bin/bash
cd /root/librex
git fetch origin main -n --quiet
[ -n "$(git diff --quiet @ @{u})" ] || { echo "Up-to-date" && exit; }
git pull --quiet
lftp -c "set sftp:auto-confirm yes; open sftp://[REDACTED]; mirror -Rev ./ [REMOTE]/ --only-newer --parallel=10 -X .htaccess -X config.php -X opensearch.xml -X robots.txt"
